### org.jfree.layouting

# Class DefaultLayoutProcess.DefaultLayoutProcessState

- `java.lang.Object`
- - `org.jfree.layouting.AbstractLayoutProcess.AbstractLayoutProcessState`
  - - `org.jfree.layouting.DefaultLayoutProcess.DefaultLayoutProcessState`

Enclosing Class:
  DefaultLayoutProcess

Implemented Interfaces:
  LayoutProcessState

`protected static class DefaultLayoutProcess.DefaultLayoutProcessState`
`extends AbstractLayoutProcess.AbstractLayoutProcessState`

  ## Constructor Summary

  `DefaultLayoutProcessState(AbstractLayoutProcess lp)`

  ## Method Summary

  `LayoutProcess`

  `restore(OutputProcessor outputProcessor)`

  ### Methods inherited from class org.jfree.layouting.AbstractLayoutProcess.AbstractLayoutProcessState

  `restore`

## Constructor Details

### DefaultLayoutProcessState

    protected DefaultLayoutProcessState(AbstractLayoutProcess lp)
                throws StateException

## Method Details

### restore

    public LayoutProcess restore(OutputProcessor outputProcessor)
                throws StateException

> Specified by:
>   restore in interface LayoutProcessState